{% extends 'base.html' %}
{% block title %}Connexions{% endblock %}

{% block body %}
    <div class="container-fluid">

        <div class="row">
            <div class="col-sm-12 col-md-6">
                <div class="card border-0">
                    <div class="card-body p-3">
                        <h3 class="lead display-4 ">Connexion</h3>
                        {% if error_message %}
                            <p><strong>{{ error_message }}</strong></p>
                        {% endif %}
                        <form class="form-horizontal" role="form" action="{% url 'login' %}"
                              method="post"
                              enctype="multipart/form-data">
                            {% csrf_token %}
                            <div class="form-group">
                                <label class="control-label" for="id_username">
                                    Pseudo :
                                </label>
                                <div class="col-sm-10">
                                    <input id="id_username" maxlength="30" name="username" type="text">
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="control-label" for="id_password">
                                    Mot de passe :
                                </label>
                                <div class="col-sm-10">
                                    <input id="id_password" maxlength="30" name="password" type="password">
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="col-sm-offset-2 col-sm-10">
                                    <button type="submit" class="btn btn-success">Connexion</button>
                                </div>
                            </div>
                        </form>
                    </div>
                    <div class="card-body pt-0">
                        Vous n'avez pas de compte ? <a href="{% url 'register' %}" class="text-success">Cliquez ici</a>
                        pour vous enregistrer.
                    </div>
                </div>
            </div>
        </div>

    </div>

{% endblock %}
